Bug 838719 - [abrt] python-2.7.3-6.fc17: fsync: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-6.fc17: fsync: Process /usr/bin/python2.7 was killed by s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:ed077d4bf3385baf0959819c6be...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 18:40 EDT by Tobias Mueller
Modified: 2013-07-31 15:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 15:29:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (156.23 KB, text/plain)
2012-07-09 18:40 EDT, Tobias Mueller
no flags Details
File: dso_list (12.32 KB, text/plain)
2012-07-09 18:40 EDT, Tobias Mueller
no flags Details
File: maps (64.37 KB, text/plain)
2012-07-09 18:40 EDT, Tobias Mueller
no flags Details
File: core_backtrace (4.55 KB, text/plain)
2012-07-09 18:40 EDT, Tobias Mueller
no flags Details

  None (edit)
Description Tobias Mueller 2012-07-09 18:40:27 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/ipython
crash_function: fsync
executable:     /usr/bin/python2.7
kernel:         3.4.4-3.fc17.x86_64
pid:            3161
pwd:            /tmp
time:           Di 10 Jul 2012 00:33:58 CEST
uid:            1000
username:       muelli
var_log_messages: Jul 10 00:33:58 bigbox abrt[3172]: Saved core dump of pid 3161 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-07-10-00:33:58-3161 (29040640 bytes)

backtrace:      Text file, 159980 bytes
core_backtrace: Text file, 4663 bytes
dso_list:       Text file, 12616 bytes
maps:           Text file, 65918 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/muelli/5

comment:
:Reproducing https://bugzilla.gnome.org/show_bug.cgi?id=679654
:
:
:>>> from gi.repository import Gtk
:>>> Gtk.TextView().get_pango_context().list_families()
:>>> Gtk.TextView().get_pango_context().list_families()
:Segmentation fault (core dumped)

environ:
:XDG_VTNR=1
:LC_PAPER=de_DE.utf8
:LC_ADDRESS=de_DE.utf8
:XDG_SESSION_ID=5
:LC_MONETARY=de_DE.utf8
:HOSTNAME=bigbox
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/muelli/keyring-vY8Iz1/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=1f0b1dd00463efa5e536a1ef48f433dc-1341655286.489270-1899791230
:HISTSIZE=1000
:WINDOWID=33554486
:LC_NUMERIC=de_DE.utf8
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/muelli/keyring-vY8Iz1
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=muelli
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:LC_TELEPHONE=de_DE.utf8
:SSH_AUTH_SOCK=/run/user/muelli/keyring-vY8Iz1/ssh
:USERNAME=muelli
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1534,unix/unix:/tmp/.ICE-unix/1534
:DESKTOP_SESSION=gnome
:MAIL=/var/spool/mail/muelli
:PATH=/home/muelli/bin:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin
:LC_MESSAGES=en_US.utf8
:QT_IM_MODULE=xim
:LC_COLLATE=de_DE.utf8
:LC_IDENTIFICATION=de_DE.utf8
:PWD=/tmp
:XMODIFIERS=@im=none
:EDITOR=nano
:GNOME_KEYRING_PID=1529
:LANG=de_DE.utf8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:LC_MEASUREMENT=de_DE.utf8
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/muelli
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=muelli
:CVS_RSH=ssh
:VISUAL=nano
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-EPBwAm2YTB,guid=cafe9b81a12860475a0c168c00000110
:LC_CTYPE=de_DE.utf8
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/muelli
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:LC_TIME=de_DE.utf8
:LC_NAME=de_DE.utf8
:XAUTHORITY=/var/run/gdm/auth-for-muelli-t6UpfX/database
:COLORTERM=gnome-terminal
:CCACHE_HASHDIR=
:_=/usr/bin/ipython

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63718                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63718                63718                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/4
:pos:	0
:flags:	0100002
:1:/dev/pts/4
:pos:	0
:flags:	0100002
:2:/dev/pts/4
:pos:	0
:flags:	0100002
:3:/home/muelli/.ipython/profile_default/history.sqlite
:pos:	21504
:flags:	02100002
:4:/home/muelli/.ipython/profile_default/history.sqlite
:pos:	40
:flags:	02100002
:5:/home/muelli/.ipython/profile_default/history.sqlite-journal
:pos:	4096
:flags:	02100002
:6:socket:[31968177]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[31968193]
:pos:	0
:flags:	02004002
Comment 1 Tobias Mueller 2012-07-09 18:40:33 EDT
Created attachment 597167 [details]
File: backtrace
Comment 2 Tobias Mueller 2012-07-09 18:40:36 EDT
Created attachment 597168 [details]
File: dso_list
Comment 3 Tobias Mueller 2012-07-09 18:40:41 EDT
Created attachment 597169 [details]
File: maps
Comment 4 Tobias Mueller 2012-07-09 18:40:43 EDT
Created attachment 597170 [details]
File: core_backtrace
Comment 5 Fedora Admin XMLRPC Client 2013-05-10 01:02:16 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2013-05-10 01:02:46 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2013-05-10 01:06:25 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2013-05-10 01:14:06 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2013-05-10 01:14:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora End Of Life 2013-07-03 16:06:55 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-07-31 15:29:26 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.